Skip to content

order.shipping

POST
/order_shipping

This retrieves a shopper's shipping options for a given order.

Authorization

ApiKeyAuth X-API-Key
X-API-Key<token>

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

In: header

Scope: X-API-Key

Header Parameters

X-Bolt-Hmac-Sha256?string

Bolt sends a signed HMAC for hook verification

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/order_shipping" \  -H "Content-Type: application/json" \  -d '{}'
{  "event": "order.shipping",  "status": "success",  "data": {    "shipping_options": [      {        "service": "Option 1",        "description": "The <span id=\"1\">most</span> popular choice",        "cost": 770,        "tax_amount": 230,        "reference": "1123",        "signature": "a1B2s3dC4f5g5D6hj6E7k8F9l0",        "estimated_delivery_date": "08-30-2022",        "tax_code": "tax-12345",        "discount_by_membership": false,        "default": true,        "description_tooltips": [          {            "target": 1,            "html_content": "Timeline may vary depending on <b>location</b>."          }        ]      }    ],    "pickup_options": [      {        "reference": "1123",        "signature": "a1B2s3dC4f5g5D6hj6E7k8F9l0",        "cost": 770,        "tax_amount": 230,        "store_name": "Bolt Swag Store #47",        "pickup_window_open": 1578904185,        "pickup_window_close": 1578904185,        "address": {          "street_address1": "42 Wallaby Way",          "street_address2": "42 Wallaby Way",          "street_address3": "42 Wallaby Way",          "street_address4": "42 Wallaby Way",          "locality": "Wayne County",          "region": "Quebec",          "postal_code": "11209",          "country_code": "US",          "country": "Canada"        },        "distance": 2,        "distance_unit": "miles"      }    ],    "ship_to_store_options": [      {        "service": "Option 1",        "reference": "1123",        "signature": "1123",        "cost": 770,        "tax_amount": 230,        "store_name": "Bolt Swag Store #47",        "address": {          "id": "addres-1",          "street_address1": "42 Wallaby Way",          "street_address2": "42 Wallaby Way",          "street_address3": "42 Wallaby Way",          "street_address4": "42 Wallaby Way",          "locality": "Wayne County",          "region": "Quebec",          "postal_code": "11209",          "country_code": "US",          "country": "Canada",          "name": "Charlotte Charles",          "first_name": "Charlotte",          "last_name": "Charles",          "company": "ACME Corp.",          "phone": "867-5309",          "email": "my.email@gmail.com"        },        "distance": 2,        "distance_unit": "miles"      }    ],    "is_store_location": false  }}